package com.njcn.prepare.harmonic.service.mysql.line;

import com.njcn.device.biz.pojo.dto.DeptGetChildrenMoreDTO;
import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;
import com.njcn.prepare.harmonic.pojo.param.LineParam;

/**
 * 监测点污染指标
 *
 * @author xiaoyao
 * @version 1.0.0
 * @createTime 2022/10/18 8:54
 */
public interface PollutionService {

    void handleDay(CalculatedParam calculatedParam);

    void handleOrgDay(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleOrgMonth(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleOrgQtr(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleOrgYear(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleSubstationDay(CalculatedParam<String> calculatedParam);

    void handleSubstationMonth(CalculatedParam<String> calculatedParam);

    void handleSubstationQtr(CalculatedParam<String> calculatedParam);

    void handleSubstationYear(CalculatedParam<String> calculatedParam);
}
